UiPath Documentation
test-cloud
latest
false
Test Cloud API 指南
重要 :
新发布内容的本地化可能需要 1-2 周的时间才能完成。

使用配额向组分配许可证

API 端点,用于向在 Test Cloud 中具有可选消耗配额的组分配许可证,并且需要 PM.License.Write 作用域。

作为组织管理员,您可以使用此端点向组分配许可证,并选择配置配额以限制许可证使用量。需要作用域为PM.License.Write外部应用程序。

API 端点

PUT {accessURL}/{organizationName}/lease_/api/account/{accountId}/user-license/group/{groupId}/with-quota

将所有端点路径中的{accessURL}替换为您的云平台的基本 URL:

Cloud Platform访问 URL
Test Cloudhttps://cloud.uipath.com/
Test Cloud 公共部门版https://govcloud.uipath.us/
Test Cloud 专用版https://{customURL}.dedicated.uipath.com/

请求标头

--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'

路径参数

路径参数数据类型描述
accountId (必填)Guid租户所在组织的 ID。
groupId (必填)字符串要向其分配许可证的组的 ID。您可以通过执行以下步骤来检索此 ID。

请求正文

{
    "userBundleCodes": ["string"],
    "quotas": [
        {
            "userBundleCode": "string",
            "limit": 10
        }
    ]
}
{
    "userBundleCodes": ["string"],
    "quotas": [
        {
            "userBundleCode": "string",
            "limit": 10
        }
    ]
}
备注:
  • userBundleCodes :要分配的许可证代码数组(请参阅用户许可证代码)。
  • quotas (可选):配额配置。配额中的每个userBundleCode必须存在于userBundleCodes数组中。
  • 配额limit必须至少为 1,并且不能低于当前使用情况。
  • 如果配额为空,则无限制分配许可证。

响应

200 OK

返回具有已配置配额和当前使用情况的已分配的组许可证。

404

组织或群组不存在。

请求示例

请求应类似于以下示例 (cURL):

curl --location --request PUT 'https://https://cloud.uipath.com/{organizationName}/lease_/api/account/1234/user-license/group/group-01/with-quota' \
--header 'Authorization: Bearer {access_token}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "userBundleCodes": ["RPADEVPRONU", "IDU"],
    "quotas": [
        {
            "userBundleCode": "RPADEVPRONU",
            "limit": 10
        }
    ]
}'
curl --location --request PUT 'https://https://cloud.uipath.com/{organizationName}/lease_/api/account/1234/user-license/group/group-01/with-quota' \
--header 'Authorization: Bearer {access_token}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "userBundleCodes": ["RPADEVPRONU", "IDU"],
    "quotas": [
        {
            "userBundleCode": "RPADEVPRONU",
            "limit": 10
        }
    ]
}'

以下是成功分配许可证的响应正文:

{
  "groupRule": {
    "groupId": "group-01",
    "organizationId": "1234",
    "userBundleCodes": ["RPADEVPRONU", "IDU"]
  },
  "quotas": [
    {
      "userBundleCode": "RPADEVPRONU",
      "limit": 10,
      "currentUsage": 3
    }
  ]
}
{
  "groupRule": {
    "groupId": "group-01",
    "organizationId": "1234",
    "userBundleCodes": ["RPADEVPRONU", "IDU"]
  },
  "quotas": [
    {
      "userBundleCode": "RPADEVPRONU",
      "limit": 10,
      "currentUsage": 3
    }
  ]
}
  • API 端点
  • 请求标头
  • 路径参数
  • 请求正文
  • 响应
  • 200 OK
  • 404
  • 请求示例

此页面有帮助吗?

连接

需要帮助? 支持

想要了解详细内容? UiPath Academy

有问题? UiPath 论坛

保持更新